import { defineComponent } from 'vue'
import Album from '../album'

export default defineComponent({
  name: 'look-album-list',
  // musicId
  data() {
    const query = this.$route.query
    return {
      id: query.id,
      musicSubject: query.musicSubject
    }
  },
  render() {
    return (
      <>
        <Album
          hideSearch={true}
          defauleParams={{
            musicId: this.id,
            subjectIds: this.musicSubject
          }}
        />
      </>
    )
  }
})
